<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:37 CEST 2019 -->
<title>org.firebirdsql.gds.ng (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
</head>
<body>
<h1 class="bar"><a href="../../../../org/firebirdsql/gds/ng/package-summary.html" target="classFrame">org.firebirdsql.gds.ng</a></h1>
<div class="indexContainer">
<h2 title="Interfaces">Interfaces</h2>
<ul title="Interfaces">
<li><a href="DatatypeCoder.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">DatatypeCoder</span></a></li>
<li><a href="FbAttachment.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">FbAttachment</span></a></li>
<li><a href="FbBlob.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">FbBlob</span></a></li>
<li><a href="FbDatabase.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">FbDatabase</span></a></li>
<li><a href="FbDatabaseFactory.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">FbDatabaseFactory</span></a></li>
<li><a href="FbService.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">FbService</span></a></li>
<li><a href="FbStatement.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">FbStatement</span></a></li>
<li><a href="FbTransaction.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">FbTransaction</span></a></li>
<li><a href="IAttachProperties.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">IAttachProperties</span></a></li>
<li><a href="IConnectionProperties.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">IConnectionProperties</span></a></li>
<li><a href="InfoProcessor.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">InfoProcessor</span></a></li>
<li><a href="InfoProcessor.StatementInfo.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">InfoProcessor.StatementInfo</span></a></li>
<li><a href="IServiceProperties.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">IServiceProperties</span></a></li>
<li><a href="ParameterConverter.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">ParameterConverter</span></a></li>
<li><a href="WarningMessageCallback.html" title="interface in org.firebirdsql.gds.ng" target="classFrame"><span class="interfaceName">WarningMessageCallback</span></a></li>
</ul>
<h2 title="Classes">Classes</h2>
<ul title="Classes">
<li><a href="AbstractAttachProperties.html" title="class in org.firebirdsql.gds.ng" target="classFrame">AbstractAttachProperties</a></li>
<li><a href="AbstractConnection.html" title="class in org.firebirdsql.gds.ng" target="classFrame">AbstractConnection</a></li>
<li><a href="AbstractEventHandle.html" title="class in org.firebirdsql.gds.ng" target="classFrame">AbstractEventHandle</a></li>
<li><a href="AbstractFbAttachment.html" title="class in org.firebirdsql.gds.ng" target="classFrame">AbstractFbAttachment</a></li>
<li><a href="AbstractFbBlob.html" title="class in org.firebirdsql.gds.ng" target="classFrame">AbstractFbBlob</a></li>
<li><a href="AbstractFbDatabase.html" title="class in org.firebirdsql.gds.ng" target="classFrame">AbstractFbDatabase</a></li>
<li><a href="AbstractFbService.html" title="class in org.firebirdsql.gds.ng" target="classFrame">AbstractFbService</a></li>
<li><a href="AbstractFbStatement.html" title="class in org.firebirdsql.gds.ng" target="classFrame">AbstractFbStatement</a></li>
<li><a href="AbstractFbTransaction.html" title="class in org.firebirdsql.gds.ng" target="classFrame">AbstractFbTransaction</a></li>
<li><a href="AbstractImmutableAttachProperties.html" title="class in org.firebirdsql.gds.ng" target="classFrame">AbstractImmutableAttachProperties</a></li>
<li><a href="AbstractParameterConverter.html" title="class in org.firebirdsql.gds.ng" target="classFrame">AbstractParameterConverter</a></li>
<li><a href="BlobLengthProcessor.html" title="class in org.firebirdsql.gds.ng" target="classFrame">BlobLengthProcessor</a></li>
<li><a href="DatatypeCoder.RawDateTimeStruct.html" title="class in org.firebirdsql.gds.ng" target="classFrame">DatatypeCoder.RawDateTimeStruct</a></li>
<li><a href="DefaultDatatypeCoder.html" title="class in org.firebirdsql.gds.ng" target="classFrame">DefaultDatatypeCoder</a></li>
<li><a href="EncodingSpecificDatatypeCoder.html" title="class in org.firebirdsql.gds.ng" target="classFrame">EncodingSpecificDatatypeCoder</a></li>
<li><a href="ExecutionPlanProcessor.html" title="class in org.firebirdsql.gds.ng" target="classFrame">ExecutionPlanProcessor</a></li>
<li><a href="FbConnectionProperties.html" title="class in org.firebirdsql.gds.ng" target="classFrame">FbConnectionProperties</a></li>
<li><a href="FbExceptionBuilder.html" title="class in org.firebirdsql.gds.ng" target="classFrame">FbExceptionBuilder</a></li>
<li><a href="FbImmutableConnectionProperties.html" title="class in org.firebirdsql.gds.ng" target="classFrame">FbImmutableConnectionProperties</a></li>
<li><a href="FbImmutableServiceProperties.html" title="class in org.firebirdsql.gds.ng" target="classFrame">FbImmutableServiceProperties</a></li>
<li><a href="FbServiceProperties.html" title="class in org.firebirdsql.gds.ng" target="classFrame">FbServiceProperties</a></li>
<li><a href="SqlCountHolder.html" title="class in org.firebirdsql.gds.ng" target="classFrame">SqlCountHolder</a></li>
<li><a href="SqlCountProcessor.html" title="class in org.firebirdsql.gds.ng" target="classFrame">SqlCountProcessor</a></li>
<li><a href="StatementInfoProcessor.html" title="class in org.firebirdsql.gds.ng" target="classFrame">StatementInfoProcessor</a></li>
<li><a href="SyncObject.html" title="class in org.firebirdsql.gds.ng" target="classFrame">SyncObject</a></li>
<li><a href="TransactionHelper.html" title="class in org.firebirdsql.gds.ng" target="classFrame">TransactionHelper</a></li>
</ul>
<h2 title="Enums">Enums</h2>
<ul title="Enums">
<li><a href="FbBlob.SeekMode.html" title="enum in org.firebirdsql.gds.ng" target="classFrame">FbBlob.SeekMode</a></li>
<li><a href="StatementState.html" title="enum in org.firebirdsql.gds.ng" target="classFrame">StatementState</a></li>
<li><a href="StatementType.html" title="enum in org.firebirdsql.gds.ng" target="classFrame">StatementType</a></li>
<li><a href="TransactionState.html" title="enum in org.firebirdsql.gds.ng" target="classFrame">TransactionState</a></li>
<li><a href="WireCrypt.html" title="enum in org.firebirdsql.gds.ng" target="classFrame">WireCrypt</a></li>
</ul>
</div>
</body>
</html>
